Subject: bug#55706: 29.0.50; files test fails about 20% of the time

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 May 2022 18:52:49 +0200

Michael Albinus <[email-masked]> writes:

> Perhaps the parallel nature of the test runs make it happen? Does it
> also fail occasionally when you call "make -j1 ..."?

I have never seen it happen with a -j1, but I don't usually do that.

> Furthermore, (file-in-directory-p "/:/tmp/files-testsuqfdq1.special" "/:/tmp/")
> should always return non-nil, unless the directory /tmp does not exist,
> or is not accessible. Could this happen in your environment, temporarily?

No, it's just a standard Debian/bookworm machine with a normal /tmp.

I'll set it up to look over a -j1 to see whether it even fails when
doing that and report back.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no